/*:
 * @plugindesc セーブ・ロード画面で歩行グラフィックが表示されないバグの修正パッチです。
 * @author しぐれん
 * 
 * @help
 * プラグインとして上の方に入れてください。
 * Window_Base.prototype.drawCharacter()を改変しているプラグインは少ないと思いますので、
 * 下の方においても案外何とかなるかもしれません。
*/

Window_Base.prototype.drawCharacter = function(characterName, characterIndex, x, y) {
    var bitmap = ImageManager.loadCharacter(characterName);
    var big = ImageManager.isBigCharacter(characterName);
    var pw = bitmap.width / (big ? 3 : 12);
    var ph = bitmap.height / (big ? 4 : 8);
    var n = big? 0: characterIndex;
    var sx = (n % 4 * 3 + 1) * pw;
    var sy = (Math.floor(n / 4) * 4) * ph;
    this.contents.blt(bitmap, sx, sy, pw, ph, x - pw / 2, y - ph);
};
